<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Axios</title>
</head>
<body>

<main>
    <img v-for="people in peoples" :src="people.picture.thumbnail" :alt="people.name.first">
</main>


<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>

<script>
    new Vue({
        el: 'main',
        mounted() {
          this.loadPeoples();
        },
        data: {
            peoples: []
        },
        methods: {
            loadPeoples() {
                axios.get('https://randomuser.me/api/?results=50')
                    .then((response) => {
                        this.peoples = response.data.results;
                    }).catch((error) => console.log(error))
            }
        }
    })
</script>

</body>
</html>